#if !defined(AFX_WINAMPMAINWND_H__E55696FB_382C_11D3_B660_00C04F6801E7__INCLUDED_)
#define AFX_WINAMPMAINWND_H__E55696FB_382C_11D3_B660_00C04F6801E7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// WinampMainWnd.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CWinampMainWnd dialog

#include "WinampMinibrowser.h"
#include "WinampEqualizer.h"
#include "WinampPlaylistEditor.h"
#include "BitmapEx.h"
#include "Common.h"
#include "MainMap.h"
#include "TitlebarMap.h"
#include "WinampAboutDlg.h"

class CWinampMainWnd : public CDialog
{
// Construction
public:
	CWinampMainWnd(CWnd* pParent = NULL);   // standard constructor

	~CWinampMainWnd();
	void ChooseCursor(CPoint point);
	void DrawInterface(BOOL bPaint = FALSE);
	void DoMainMenu();

// Dialog Data
	//{{AFX_DATA(CWinampMainWnd)
	enum { IDD = IDD_MAINWND };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

protected:
	CBitmapEx*				m_pMain;
	CBitmapEx*				m_pTitlebar;
	CWinampEqualizer*		m_pEQWnd;
	CWinampPlaylistEditor*	m_pPEWnd;
	CWinampMinibrowser*		m_pMBWnd;
	CMainMap				m_map;
	CTitlebarMap			m_Titlemap;

	BOOL					m_bFocus;

	BOOL					m_bDragging;
	CPoint					m_ptDragFrom;

	//Scrolling stuff
	CString					m_strTitle;
	CString					m_strTitleSource;
	int						m_nCapLength;
	int						m_nCapPos;

	HICON					m_hIcon;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinampMainWnd)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWinampMainWnd)
	virtual BOOL OnInitDialog();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnPaint();
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetFocus( CWnd* pOldWnd );
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINAMPMAINWND_H__E55696FB_382C_11D3_B660_00C04F6801E7__INCLUDED_)
