#if !defined(AFX_WINAMPMINIBROWSER_H__E55696FD_382C_11D3_B660_00C04F6801E7__INCLUDED_)
#define AFX_WINAMPMINIBROWSER_H__E55696FD_382C_11D3_B660_00C04F6801E7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// WinampMinibrowser.h : header file
//
#define TITLEBAR_LEFT_X		0
#define TITLEBAR_LEFT_Y		0
#define TITLEBAR_MIDDLE_X	25
#define TITLEBAR_MIDDLE_Y	0
#define TITLEBAR_FILL_X		125
#define TITLEBAR_FILL_Y		0
#define TITLEBAR_RIGHT_X	150
#define TITLEBAR_RIGHT_Y	0
#define RESIZE_WIDTH		25
#define RESIZE_HEIGHT		29
#define MIN_WIDTH			275
#define MIN_HEIGHT			116

#include <mshtmhst.h>
#include "bitmapex.h"
#include "MBMap.h"
#include "Common.h"
#include "memDC.h"
#include "MBOpenLocation.h"
#include "SkinBrowser.h"
/////////////////////////////////////////////////////////////////////////////
// CWinampMinibrowser dialog

class CWinampMinibrowser : public CWnd
{
// Construction
public:
	CWinampMinibrowser();   // standard constructor
	~CWinampMinibrowser();

	BOOL Create(CWnd* pParent);

protected:
	CBitmapEx*		m_pInterface;
	CMBMap			m_map;

	//Functions
	void ChooseCursor(CPoint point);
	BOOL SetLocation(CString Location);
	void DrawInterface(BOOL bPaint = FALSE);
	void DrawText();

	//Has Focus?
	BOOL			m_bFocus;

	//Resizing Stuff
	BOOL			m_bResizing;
	CPoint			m_ptResizeFrom;

	//Dragging Stuff
	BOOL			m_bDragging;
	CPoint			m_ptDragFrom;
	BOOL			m_bDocked;		//Is it docked?

	//Drawing Stuff
	CFont			m_Font;

	//Location
	CString			m_strLocation;

	//Windows
	CWnd*			m_pParent;	//Main window
	CWnd*			m_pBrowserWnd; //Browser Window
	IWebBrowser2*	m_pBrowser;	//Browser Object

	//{{AFX_DATA(CWinampMinibrowser)
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinampMinibrowser)
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWinampMinibrowser)
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	afx_msg void OnSetFocus( CWnd* pOldWnd );
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnMbcontextOpenlocation();
	afx_msg void OnSkinBrowser();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINAMPMINIBROWSER_H__E55696FD_382C_11D3_B660_00C04F6801E7__INCLUDED_)
